from sage.modular.all import ModularForms

################################################################################
### Basis data for modular forms
################################################################################

def modular_forms_pivots(level, weight) :
    r"""
    Return the pivots of the an echelon basis of the space of
    modular forms of given level and weight.
    """
    mfb = ModularForms(level, weight).echelon_basis()
    return [ b.valuation() for b in mfb ]
